# LimitIterator::current

(PHP 5 >= 5.1.0, PHP 7)

LimitIterator::current — Get current element

### Description

public LimitIterator::current ( void ) : mixed

Gets the current element of the inner Iterator.

### Parameters

This function has no parameters.

### Return Values

Returns the current element or `NULL` if there is none.

### See Also

- LimitIterator::key() - Get current key
- LimitIterator::next() - Move the iterator forward
- LimitIterator::rewind() - Rewind the iterator to the specified starting offset
- LimitIterator::seek() - Seek to the given position
- LimitIterator::valid() - Check whether the current element is valid